
QGIS Application - Bug report #11874

NTv2 transformation not used in Print Composer

2014-12-17 03:29 AM - Jochen Huber

Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category: Map Composer/Printing

Affected QGIS version:2.6.1 Regression?: No

Operating System: Windows/Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20088

Description

In a QGIS project with project coordinate system EPSG:4647 (UTM) and some layers in EPSG:4647, some in EPSG:31466 (old german

system), we use the NTv2 file BETA2007.gsb for accurate transformation. Two layers with the same point features (but with different

attributes) which are in different CRS are drawn exactly on top of each other in the main application map view.

On the print composer map canvas (and when exporting the map as PDF), the points are offset by about 1 to 3 m. It seems that the

transformation information in BETA2007.gsb ist used when rendering the main map display, but not in the print composer.

Associated revisions

Revision f046d3fc - 2015-02-11 03:19 AM - Jürgen Fischer

support datum transformation in composer (fixes #11874)

History

#1 - 2014-12-17 03:39 AM - Jochen Huber

- File main_map_view-no_offset.png added

- File map_composer-offset.png added

#2 - 2014-12-17 04:28 AM - Jochen Huber

- File Example.zip added

Added example files (two shapes in different CRS, project file with map layout)

#3 - 2015-01-29 12:11 AM - Bernhard Ströbl

- Priority changed from Normal to Severe/Regression

- Category changed from Projection Support to Map Composer/Printing

- Target version set to Version 2.8

- OS version changed from 7 Prof. 64bit to 7 Prof. 64bit/Ubuntu 14.04

- Operating System changed from Windows to Windows/Linux

IMHO this is a blocker issue as it is impossible to print maps in which data are transformed using NTv2 files.

#4 - 2015-02-10 11:24 AM - Jürgen Fischer

- Assignee set to Jürgen Fischer
#5 - 2015-02-10 06:21 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"f046d3fca27d7681be08cb287aa0eff2eb70fcf1".

#6 - 2015-02-12 12:29 AM - Bernhard Ströbl

Thank you Jürgen,

tested today and works like a charm now.

Files

main_map_view-no_offset.png 81.8 KB 2014-12-17 Jochen Huber

map_composer-offset.png 103 KB 2014-12-17 Jochen Huber

Example.zip 7.01 KB 2014-12-17 Jochen Huber
